<?php

namespace Teknisa\CADFIS\Factories;

use Doctrine\ORM\EntityManager;

  /*
   * Class  Ger16900CodigoFiscalOperacoesPrestacoesFactory
   * @package Teknisa\CADFIS\Factory
   */
class Ger16900CodigoFiscalOperacoesPrestacoesFactory {

    protected $entityManager;

    /*
     * @param EntityManager $entityManager
    */
    
    public function __construct(EntityManager $entityManager) {
        $this->connection    = $entityManager->getConnection();
        $this->entityManager = $entityManager;
    }
    
    
    public function salvaValidadeCfop($params){
      
        $sql = "UPDATE CFOPPADRAO 
                SET DTVDINICIAL = :DTVDINICIAL,
                    DTVDFINAL   = :DTVDFINAL
                WHERE CDCFOPPADRAO = :CDCFOPPADRAO";
        $query = $this->entityManager->getConnection()->prepare($sql);
        $query->execute($params);
    }
}